Skip to content

Xiaohongshu Pgy APIs - KOL Follower Trend (V1)

DEPRECATED

This endpoint is deprecated and may be removed in future versions.

prod-global
GET
/api/xiaohongshu-pgy/get-kol-fans-trend/v1

Get fans growth trend (Legacy).

Parameters

NameInTypeRequiredDescription
tokenquerystringYesUser authentication token.
kolIdquerystringYesKOL ID.
dateTypequerystringYesDate type.

Available Values:
- _1: Last 30 days
- _2: Last 60 days
increaseTypequerystringYesIncrease type.

Available Values:
- _1: Total fans
- _2: New fans increase
acceptCachequerybooleanNoEnable cache.

Code Samples

💡 Environment Note

Default samples use https://api.justoneapi.com (prod-global). For users in Mainland China, it is recommended to replace it with http://47.117.133.51:30015 (prod-cn) for better performance. See Environment Guide.

bash
# Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-fans-trend/v1?token=YOUR_API_KEY&kolId=VALUE&dateType=VALUE&increaseType=VALUE"
text
I want to use the "KOL Follower Trend (V1) [Deprecated]" API from Just One API.
API Endpoint: https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-fans-trend/v1
HTTP Method: GET
Authentication: Append "?token=YOUR_API_KEY" to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/xiaohongshu-pgy-apis/kol-follower-trend-v1-deprecated-en.json

Parameters:
- token (query): User authentication token. (Required)
- kolId (query): KOL ID. (Required)
- dateType (query): Date type.

Available Values:
- `_1`: Last 30 days
- `_2`: Last 60 days (Required)
- increaseType (query): Increase type.

Available Values:
- `_1`: Total fans
- `_2`: New fans increase (Required)
- acceptCache (query): Enable cache.

Return format: JSON

Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set request timeout to at least 60 seconds.
3. Business Code Reference:
   - 0: Success
   - 100: Invalid or Inactive Token
   - 301: Collection Failed. Please Retry.
   - 302: Rate Limit Exceeded
   - 303: Daily Quota Exceeded
   - 400: Invalid Parameters
   - 500: Internal Server Error
   - 600: Permission Denied
   - 601: Insufficient Balance

Please help me write a script in my preferred programming language to call this API and handle the response.
python
# Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-fans-trend/v1?token=YOUR_API_KEY&kolId=VALUE&dateType=VALUE&increaseType=VALUE"
response = requests.get(url)
print(response.json())
js
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-fans-trend/v1?token=YOUR_API_KEY&kolId=VALUE&dateType=VALUE&increaseType=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-fans-trend/v1?token=YOUR_API_KEY&kolId=VALUE&dateType=VALUE&increaseType=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-fans-trend/v1?token=YOUR_API_KEY&kolId=VALUE&dateType=VALUE&increaseType=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/xiaohongshu-pgy/get-kol-fans-trend/v1?token=YOUR_API_KEY&kolId=VALUE&dateType=VALUE&increaseType=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

json
{
  "code": 0,
  "data": {
    "fansNumInc": -11,
    "fansNumIncRate": -0.0013048635824436537,
    "list": [
      {
        "num": 8430,
        "dateKey": "2026-02-07"
      },
      {
        "num": 8431,
        "dateKey": "2026-02-08"
      },
      {
        "num": 8430,
        "dateKey": "2026-02-09"
      },
      {
        "num": 8429,
        "dateKey": "2026-02-10"
      },
      {
        "num": 8429,
        "dateKey": "2026-02-11"
      },
      {
        "num": 8429,
        "dateKey": "2026-02-12"
      },
      {
        "num": 8428,
        "dateKey": "2026-02-13"
      },
      {
        "num": 8428,
        "dateKey": "2026-02-14"
      },
      {
        "num": 8428,
        "dateKey": "2026-02-15"
      },
      {
        "num": 8428,
        "dateKey": "2026-02-16"
      },
      {
        "num": 8427,
        "dateKey": "2026-02-17"
      },
      {
        "num": 8426,
        "dateKey": "2026-02-18"
      },
      {
        "num": 8424,
        "dateKey": "2026-02-19"
      },
      {
        "num": 8424,
        "dateKey": "2026-02-20"
      },
      {
        "num": 8424,
        "dateKey": "2026-02-21"
      },
      {
        "num": 8422,
        "dateKey": "2026-02-22"
      },
      {
        "num": 8422,
        "dateKey": "2026-02-23"
      },
      {
        "num": 8420,
        "dateKey": "2026-02-24"
      },
      {
        "num": 8420,
        "dateKey": "2026-02-25"
      },
      {
        "num": 8420,
        "dateKey": "2026-02-26"
      },
      {
        "num": 8421,
        "dateKey": "2026-02-27"
      },
      {
        "num": 8422,
        "dateKey": "2026-02-28"
      },
      {
        "num": 8421,
        "dateKey": "2026-03-01"
      },
      {
        "num": 8421,
        "dateKey": "2026-03-02"
      },
      {
        "num": 8419,
        "dateKey": "2026-03-03"
      },
      {
        "num": 8419,
        "dateKey": "2026-03-04"
      },
      {
        "num": 8418,
        "dateKey": "2026-03-05"
      },
      {
        "num": 8419,
        "dateKey": "2026-03-06"
      },
      {
        "num": 8419,
        "dateKey": "2026-03-07"
      },
      {
        "num": 8419,
        "dateKey": "2026-03-08"
      }
    ]
  }
}

💡 Note: For list data, the example shows only 1-2 items for simplicity. The actual count depends on the API response.